package cc.smtweb.system.bpm.web.design.form.model.flow;

import cc.smtweb.framework.core.common.SwEnum;
import cc.smtweb.framework.core.util.StringUtil;
import cc.smtweb.system.bpm.web.design.form.ModelForm;
import cc.smtweb.system.bpm.web.design.form.model.LcNormalWorker;

/**
 * @Author:lip
 * @Date : 2022/9/15 16:49
 * 左列表-右列表（含编辑卡片、工作流、左列表可编辑）
 */
public class FlowLcLc1Worker extends LcNormalWorker {
    private final static String templateList = "model_list_flow_ll1";
    private final static String templateCard = "model_card_flow_ll";

    @Override
    protected String getTmplId(ModelForm bean) {
        if (bean.getName().endsWith(StringUtil.upFirst(SwEnum.PageType.LIST.value))) {
            return templateList;
        }
        if (bean.getName().endsWith(StringUtil.upFirst(SwEnum.PageType.CARD.value))) {
            return templateCard;
        }
        return super.getTmplId(bean);
    }
}
